This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 771647 - EAP in standalone package cannot start production and all profiles
EAP in standalone package cannot start production and all profiles
Status: VERIFIED
Product: JBoss Enterprise BRMS Platform 5
Classification: JBoss
Component: Build Process (Show other bugs)
BRMS 5.3.0.GA
Unspecified Unspecified
unspecified Severity urgent
: ER2
: BRMS 5.3.0.GA
Assigned To: Julian Coleman
Jiri Locker
: Regression, TestBlocker
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-01-04 08:26 EST by Jiri Locker
Modified: 2012-01-09 09:03 EST (History)
2 users (show)

See Also:
Fixed In Version: 5.3.0.BRMS-ER2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jiri Locker 2012-01-04 08:26:25 EST
Description of problem:

the boot sequence fails and this is the relevant part of the log:

14:14:43,474 ERROR [ScopedProfileServiceController] Error installing to Create: name=ProfileKey@1116880a[domain=default, server=default, name=farm] state=Configured mode=On Demand requiredState=Installed
java.lang.reflect.InvocationTargetException
	at ...
Caused by: java.lang.IllegalStateException: Must register RepositoryClusteringHandler before calling create()
	at org.jboss.system.server.profileservice.repository.clustered.ClusteredDeploymentRepository.create(ClusteredDeploymentRepository.java:198)
	at org.jboss.system.server.profileservice.repository.clustered.ClusteredDeploymentRepository.load(ClusteredDeploymentRepository.java:226)
	at org.jboss.system.server.profile.repository.AbstractProfile.create(AbstractProfile.java:158)
	... 22 more
14:14:43,475 INFO  [ProfileServiceBootstrap] Loading profile: ProfileKey@17171dc7[domain=default, server=default, name=all]
14:14:43,475 ERROR [STDERR] Failed to boot JBoss:
14:14:43,475 ERROR [STDERR] java.lang.IllegalStateException: Incompletely deployed:

*** PROFILES IN ERROR: Name -> Error
Profile: ProfileKey@1116880a[domain=default, server=default, name=farm] in error due to java.lang.reflect.InvocationTargetException

*** PROFILES MISSING DEPENDENCIES: Name -> Dependency{Required State:Actual State}
ProfileKey@17171dc7[domain=default, server=default, name=all] is missing following dependencies: ProfileKey@1116880a[domain=default, server=default, name=farm]{Installed:**ERROR**}

Version-Release number of selected component (if applicable):
BRMS 5.3.0.ER1

How reproducible:
always

Steps to Reproduce:
1. unpack the standalone package
2. launch the production or all profile
  
Actual results:
production and all profiles cannot be launched

Expected results:
all profiles should be able to start

Additional info:
couldn't reproduce with plain EAP 5.1.2
Comment 1 Jiri Locker 2012-01-04 09:15:44 EST
Hint: ${profile}/deploy/cluster/jboss-cache-manager.sar/META-INF/jboss-cache-manager-jboss-beans.xml is missing
Comment 2 Ryan Zhang 2012-01-08 03:16:06 EST
Thanks, Jiri.
You are right.
The file was removed by mistake. I would fix this in ER2.
Comment 3 Julian Coleman 2012-01-08 04:28:59 EST
Fixed with revision 10646 of:
  src/main/assembly/brms-standalone.zip.xml

Commit message:
  BZ#771647
  Restore missing "jboss-cache-manager-jboss-beans.xml" files to clustered
  profiles

Note You need to log in before you can comment on or make changes to this bug.